Subject: Ticket Assigned - need escalation
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 26 Apr 2021 10:02:46 +0000

Hi Ebrahim Qasem,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  need escalation salman                    Customer:  Hello Bot:  Hi again! Bot:  Please enter your name Customer:  salman Bot:  Hi Salman ,what do you need help with? Customer:  When will I get my refund? Bot:  Please choose your location Customer:  Saudi Arabia Bot:    Did you return your order? We will issue your refund after we receive your returns and perform a quality check. Your refund will depend on your payment method.   Paid by card - card issuer may take an additional 2-15 business days to process the transaction.  Paid by PayPal - may take an additional 4-15 business days to process the transaction.  Paid by SADAD or cash - you'll receive a refund to My Credit in your account if you're a registered user, or a Return Voucher if you're a guest user in 4-7 business days.   Canceled your order? Your refund will depend on your payment method.   Paid by card - card issuer may take an additional 2-15 business days to process the transaction.  Paid by PayPal - may take an additional 4-15 business days to process the transaction.  Paid by SADAD - you'll receive a refund to My Credit in your account if you're a registered user, or a Return Voucher if you're a guest user in 4-7 business days.    For more details, go to Returns Process and Returns Policy under Help Centre.  Bot:  Was I able to resolve your query? Customer:  No Bot:  Would you like to still talk to one of our agent? Customer:  Yes            08:48 PM, 21st Apr                   Mohamed                   Hi Salman, Thank you for contacting us. This's Mohamed . I will be happy to help you.           08:49 PM, 21st Apr                     salman                    Hi           08:49 PM, 21st Apr                     salman                    6269262636           08:49 PM, 21st Apr                     salman                    Pls update on this order refund           08:50 PM, 21st Apr                   Mohamed                   Thank you for sharing the order details. Please allow me a moment to check this for you.           08:50 PM, 21st Apr                   Mohamed                   as we checked the order isn't collected from you.           08:51 PM, 21st Apr                     salman                    It been returned to the courier guy by Aramco along with other orders.           08:52 PM, 21st Apr                     salman                    If i hv not returned it y would i contact for refund           08:52 PM, 21st Apr                   Mohamed                   please share with us the other order number ?           08:53 PM, 21st Apr                     salman                    Last time i was told that it will be refunded in 7 to 14 days. Now its been months           08:53 PM, 21st Apr                     salman                    6283946724           08:54 PM, 21st Apr                     salman                    6270264466           08:54 PM, 21st Apr                     salman                    6269317065           08:55 PM, 21st Apr                   Mohamed                   we will check with the warehouse if there are any unexpected items returned to the warehouse with this order number           08:55 PM, 21st Apr                     salman                    These are the orders whose refund is not been done yet           08:55 PM, 21st Apr                     salman                    These were returned all together along with other items           08:55 PM, 21st Apr                     salman                    How did u get some and some f           08:55 PM, 21st Apr                     salman                    Got missing           08:56 PM, 21st Apr                     salman                    Everytime t           08:56 PM, 21st Apr                     salman                    I get the same answer           08:56 PM, 21st Apr                   Mohamed                   we are apologising for that .           08:57 PM, 21st Apr                   Mohamed                   As per system the items should be returned with it's return request to follow up with the refund >           08:58 PM, 21st Apr                     salman                    All returns were requested online and i even got sms for it           08:59 PM, 21st Apr                   Mohamed                   Now the items returned with another orders >           08:59 PM, 21st Apr                     salman                    The courier person took one month to come and pick it up           08:59 PM, 21st Apr                     salman                    The person took the items without giving any receipt or confirmation.           09:00 PM, 21st Apr                     salman                    Now i m told that u didnt receive some items           09:00 PM, 21st Apr                     salman                    Means the problem is with your courier facility           09:01 PM, 21st Apr                   Mohamed                   we will check the items with the other orders.           09:01 PM, 21st Apr                     salman                    2 months is enough to check n refund           09:02 PM, 21st Apr                     salman                    6269262636. For this order i was told last time its been recieved           09:03 PM, 21st Apr                     salman                    Now u say u didnt receive it.           09:04 PM, 21st Apr                   Mohamed                   The items wasn't returned with it's own return ID the warehouse expected items from the ones that the courier was assigned for and came and collected .           09:04 PM, 21st Apr                   Mohamed                   we will check the un expected items with the orders and refund it for you           09:05 PM, 21st Apr                     salman                    6283946724 If u say so than he was assigned for this item which is also not refunded.           09:07 PM, 21st Apr                     salman                    He should check the order number and collect it. He was not even bothered to check the package when i gave him.           09:08 PM, 21st Apr                     salman                    I asked about the previous order return and he told me to give all.           09:08 PM, 21st Apr                   Mohamed                   we will check and update you vi email.           09:08 PM, 21st Apr                     salman                    Theres no clear answers . It only we will check n it doesnt happen.           09:09 PM, 21st Apr                     salman                    Pls process refund as even i have to contact again and again. I dont get any email from your side or any update           09:10 PM, 21st Apr                   Mohamed                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             09:13 PM, 21st Apr                   Mohamed                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           09:16 PM, 21st Apr                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2435324